Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class ApplicationHolder

    java.lang.Object
      org.codehaus.groovy.grails.commons.ApplicationHolder

    @java.lang.Deprecated
    public abstract class ApplicationHolder
    extends java.lang.Object

Static singleton holder for the GrailsApplication instance.

deprecated:
  Use dependency injection or implement GrailsApplicationAware instead

Authors:
  Marc Palmer (marc@anyware.co.uk)

Method Summary
`static GrailsApplication` | `getApplication()` @return The GrailsApplication instance
`static void` | `setApplication(GrailsApplication application)` @param application The application to set

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getApplication

    @java.lang.Deprecated
    public static GrailsApplication getApplication()

  deprecated:
    Use dependency injection instead
  Returns:
    The GrailsApplication instance

### setApplication

    @java.lang.Deprecated
    public static void setApplication(GrailsApplication application)

  deprecated:
    Use dependency injection instead
  Parameters:
    `application` - The application to set

Groovy Documentation